net.dontdrinkandroot.visualization.layout

## Interface Layout<T>

All Known Implementing Classes:
  AbstractCircularLayout, AbstractLayout, ForceCircularLayout, ForceLayout, ForestLayout, GlyphBoundWordCloud, LrForestLayout, RectanglePacking, SiftingCircularLayout, SiftingCircularLayout2, SiftingCircularLayout3, SimpleLayout, SunBurst, WordCloudLayout

    public interface Layout<T>

### Method Summary

Methods
`Rectangle2D` `getBounds()`
`boolean` `isLayouted()`
`void` `layout()`
`void` `render(Graphics2D g2d)`

### Method Detail

#### layout

    void layout()
                throws LayoutException

Throws:
  `LayoutException`

#### render

    void render(Graphics2D g2d)

#### isLayouted

    boolean isLayouted()

#### getBounds

    Rectangle2D getBounds()